Show / Hide Table of Contents

# Enum JobFlags

Job flags for the Dalamud.Game.Gui.PartyFinder class.

###### Namespace: Dalamud.Game.Gui.PartyFinder.Types

###### Assembly: Dalamud.dll

##### Syntax

    [Flags]
    public enum JobFlags

### Fields

Name | Description
--- | ---
Arcanist | Arcanist (ACN).
Archer | Archer (ARC).
Astrologian | Astrologian (AST).
Bard | Bard (BRD).
BlackMage | Black mage (BLM).
BlueMage | Blue mage (BLM).
Conjurer | Conjurer (CNJ).
Dancer | Dancer (DNC).
DarkKnight | Dark Knight (DRK).
Dragoon | Dragoon (DRG).
Gladiator | Gladiator (GLD).
Gunbreaker | Gunbreaker (GNB).
Lancer | Lancer (LNC).
Machinist | Machinist (MCH).
Marauder | Marauder (MRD).
Monk | Monk (MNK).
Ninja | Ninja (NIN).
Paladin | Paladin (PLD).
Pugilist | Pugilist (PGL).
Reaper | Reaper (RPR).
RedMage | Red mage (RDM).
Rogue | Rogue (ROG).
Sage | Sage (SGE).
Samurai | Samurai (SAM).
Scholar | Scholar (SCH).
Summoner | Summoner (SMN).
Thaumaturge | Thaumaturge (THM).
Warrior | Warrior (WAR).
WhiteMage | White mage (WHM).

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()
JobFlagsExtensions.ClassJob(DataManager)